SRU tracking bug for KDE's Plasma 5.12.7 for bionic

Bug #1794494 reported by Rik Mills on 2018-09-26
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
bluedevil (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
breeze (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
breeze-gtk (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
drkonqi (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kactivitymanagerd (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kde-cli-tools (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kdeplasma-addons (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
khotkeys (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kinfocenter (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kscreen (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kscreenlocker (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
ksysguard (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kwallet-pam (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kwin (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
libksysguard (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
milou (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
oxygen (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-desktop (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-discover (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-integration (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-nm (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-pa (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-sdk (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-vault (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-workspace (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plymouth-kcm (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
polkit-kde-agent-1 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
powerdevil (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
sddm-kcm (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
systemsettings (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
user-manager (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
xdg-desktop-portal-kde (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

SRU tracking bug for KDE's Plasma 5.12.7 LTS for bionic

Official release announcement by the KDE community: https://www.kde.org/announcements/plasma-5.12.7.php

Complete changelog (excludes translation updates): https://www.kde.org/announcements/plasma-5.12.6-5.12.7-changelog.php

[Impact]

 * Without this update, general users who are not inclined or able to add our backports/update ppa will not receive this bugfix release of the Plasma 5.12 LTS series

 * Providing this bugfix release via the official update pocket in the archive will ensure that the bugfixes here reach and benefit most of our users. This is particularly important for a Kubuntu and Plasma LTS release

[Test Case]

 * General tests:
  - Does plasma desktop start as normal with no apparent regressions over 5.12.6?
  - General workflow - testers should carry out their normal tasks, using the plasma features they normally do, and test common subsystems such as audio, settings changes, compositing, desktop affects, suspend etc.

 * Specific tests:
  - Check the changelog: https://www.kde.org/announcements/plasma-5.12.6-5.12.7-changelog.php
  - Identify items with front/user facing changes capable of specific testing. e.g. "Fix scrollbars in LibreOffice."
   - Test the 'fixed' functionality.

[Regression Potential]

 * These updates fix some obvious front facing issues, but also include some underlying code fixes.
  - e.g. changes for compilation under Qt versions we do not ship yet, code optimizations and fixes with less obvious explanation of impact in the changelog,

 * Fixes for obvious and testable bugs and regressions can also introduce unintended other regressions in either the feature/app being fixed, or desktop components or subsystems that interact with it. So it is important in these updates to consider:

 * General testing - does the desktop as a whole, and routine use of such work as previously with no obvious regressions over the previous release.

 * If there is say a fix for the audio applet to fix one issue, in addition to fixing that issue, do the other common features of that app still work as before, do the general audio settings still work?

[Other Info]

 * Packages not listed in the upstream changelog either have a 0-diff or just translation updates, Those with translation updates have been included in this SRU.
 * However, we deliberately versioned depends and build depends, so that if accepting rebuilt small diff packages into the final release to the updates pocket is considered too much of a regression potential, or too difficult to validate, packages that have not introduced or require a dependency (internal or external) on 5.12.7 version, should be able to be abandoned from consideration and the SRU.

CVE References

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluedevil (Ubuntu):
status: New → Confirmed
Changed in breeze (Ubuntu):
status: New → Confirmed
Changed in breeze-gtk (Ubuntu):
status: New → Confirmed
Changed in drkonqi (Ubuntu):
status: New → Confirmed
Changed in kactivitymanagerd (Ubuntu):
status: New → Confirmed
Changed in kde-cli-tools (Ubuntu):
status: New → Confirmed
Changed in kdeplasma-addons (Ubuntu):
status: New → Confirmed
Changed in khotkeys (Ubuntu):
status: New → Confirmed
Changed in kinfocenter (Ubuntu):
status: New → Confirmed
Changed in kmenuedit (Ubuntu):
status: New → Confirmed
Changed in kscreen (Ubuntu):
status: New → Confirmed
Changed in kscreenlocker (Ubuntu):
status: New → Confirmed
Changed in ksysguard (Ubuntu):
status: New → Confirmed
Changed in kwallet-pam (Ubuntu):
status: New → Confirmed
Changed in kwin (Ubuntu):
status: New → Confirmed
Changed in libkscreen (Ubuntu):
status: New → Confirmed
Changed in libksysguard (Ubuntu):
status: New → Confirmed
Changed in milou (Ubuntu):
status: New → Confirmed
Changed in oxygen (Ubuntu):
status: New → Confirmed
Changed in plasma-desktop (Ubuntu):
status: New → Confirmed
Changed in plasma-discover (Ubuntu):
status: New → Confirmed
Changed in plasma-integration (Ubuntu):
status: New → Confirmed
Changed in plasma-nm (Ubuntu):
status: New → Confirmed
Changed in plasma-pa (Ubuntu):
status: New → Confirmed
Changed in plasma-sdk (Ubuntu):
status: New → Confirmed
Changed in plasma-vault (Ubuntu):
status: New → Confirmed
Changed in plasma-workspace (Ubuntu):
status: New → Confirmed
Changed in plymouth-kcm (Ubuntu):
status: New → Confirmed
Changed in polkit-kde-agent-1 (Ubuntu):
status: New → Confirmed
Changed in powerdevil (Ubuntu):
status: New → Confirmed
Changed in sddm-kcm (Ubuntu):
status: New → Confirmed
Changed in systemsettings (Ubuntu):
status: New → Confirmed
Changed in user-manager (Ubuntu):
status: New → Confirmed
Changed in xdg-desktop-portal-kde (Ubuntu):
status: New → Confirmed
33 comments hidden view all 104 comments

Hello Rik, or anyone else affected,

Accepted breeze into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/breeze/4:5.12.7-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in breeze (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in bluedevil (Ubuntu Bionic):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Rik, or anyone else affected,

Accepted bluedevil into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/bluedevil/4:5.12.7-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Chris Halse Rogers (raof) wrote :

Hello Rik, or anyone else affected,

Accepted breeze-gtk into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/breeze-gtk/5.12.7-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in breeze-gtk (Ubuntu Bionic):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Rik, or anyone else affected,

Accepted drkonqi into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/drkonqi/5.12.7-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in drkonqi (Ubuntu Bionic):
status: New → Fix Committed
Changed in kactivitymanagerd (Ubuntu Bionic):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Rik, or anyone else affected,

Accepted kactivitymanagerd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kactivitymanagerd/5.12.7-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kde-cli-tools (Ubuntu Bionic):
status: New → Fix Committed
Changed in kdeplasma-addons (Ubuntu Bionic):
status: New → Fix Committed
Changed in khotkeys (Ubuntu Bionic):
status: New → Fix Committed
Changed in kinfocenter (Ubuntu Bionic):
status: New → Fix Committed
Changed in kscreen (Ubuntu Bionic):
status: New → Fix Committed
Changed in kscreenlocker (Ubuntu Bionic):
status: New → Fix Committed
Changed in ksysguard (Ubuntu Bionic):
status: New → Fix Committed
Changed in kwallet-pam (Ubuntu Bionic):
status: New → Fix Committed
Changed in kwin (Ubuntu Bionic):
status: New → Fix Committed
Changed in libksysguard (Ubuntu Bionic):
status: New → Fix Committed
Changed in milou (Ubuntu Bionic):
status: New → Fix Committed
Changed in oxygen (Ubuntu Bionic):
status: New → Fix Committed
Changed in plasma-discover (Ubuntu Bionic):
status: New → Fix Committed
Changed in plasma-integration (Ubuntu Bionic):
status: New → Fix Committed
Changed in plasma-nm (Ubuntu Bionic):
status: New → Fix Committed
Changed in plasma-pa (Ubuntu Bionic):
status: New → Fix Committed
Changed in plasma-sdk (Ubuntu Bionic):
status: New → Fix Committed
Changed in plasma-vault (Ubuntu Bionic):
status: New → Fix Committed
Changed in plasma-workspace (Ubuntu Bionic):
status: New → Fix Committed
Changed in plymouth-kcm (Ubuntu Bionic):
status: New → Fix Committed
Changed in polkit-kde-agent-1 (Ubuntu Bionic):
status: New → Fix Committed
Changed in powerdevil (Ubuntu Bionic):
status: New → Fix Committed
24 comments hidden view all 104 comments
Chris Halse Rogers (raof) wrote :

Hello Rik, or anyone else affected,

Accepted sddm-kcm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sddm-kcm/4:5.12.7-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sddm-kcm (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted systemsettings into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemsettings/4:5.12.7-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemsettings (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted user-manager into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/user-manager/4:5.12.7-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in user-manager (Ubuntu Bionic):
status: New → Fix Committed
Changed in xdg-desktop-portal-kde (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted xdg-desktop-portal-kde into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xdg-desktop-portal-kde/5.12.7-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Rik Mills (rikmills) on 2018-10-25
no longer affects: libkscreen (Ubuntu)
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-desktop into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-desktop/4:5.12.7-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in plasma-desktop (Ubuntu Bionic):
status: New → Fix Committed
Rik Mills (rikmills) on 2018-10-25
no longer affects: kmenuedit (Ubuntu)
Marco Parillo (marco-parillo) wrote :

Grabbed an old VM, not updated since installing 18.04.1. 307 pending updates. I did not remember selecting -Proposed on that VM, but Discover wanted to update to, among other things, Plasma 5.12.7. I got the notification that a restart would be required, and after re-booting my VM, kinfocenter reported Plasma 5.12.7, KDE FW 5.44.0, and Qt 5.9.5. Discover had a black box for Pre-released updates, unlike the check marks for Important, Recommended, and Unsupported updates. Changing the black box to a check mark and reloading Discover's cache still gave me no updates. Same with apt full-upgrade (nothing to do). So, I successfully tested Apps include: krunner, the Application Launcher, Discover, System Settings, System Monitor, Konsole, Kate, Firefox, and LibreOffice writer. No issues.

Rik Mills (rikmills) wrote :

For the past couple of week I have had my desktop machine rolled back to stock 18.04 with these updates, and all seems stable and the fixes do as advertised.

I have also done some additional verification snapshotting a VM, rolling that back and forward to test.

So as a Kubuntu developer, I am +1 on shipping these. I will of course do my best to fix any unfound issues that such an update may cause on wider consumption.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic

The verification of the Stable Release Update for bluedevil has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package breeze - 4:5.12.7-0ubuntu0.1

---------------
breeze (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:54:49 +0100

Changed in breeze (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package breeze-gtk - 5.12.7-0ubuntu0.1

---------------
breeze-gtk (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:54:54 +0100

Changed in breeze-gtk (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package drkonqi - 5.12.7-0ubuntu0.1

---------------
drkonqi (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:02 +0100

Changed in drkonqi (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kactivitymanagerd - 5.12.7-0ubuntu0.1

---------------
kactivitymanagerd (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:05 +0100

Changed in kactivitymanagerd (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde-cli-tools - 4:5.12.7-0ubuntu0.1

---------------
kde-cli-tools (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:08 +0100

Changed in kde-cli-tools (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeplasma-addons - 4:5.12.7-0ubuntu0.1

---------------
kdeplasma-addons (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:11 +0100

Changed in kdeplasma-addons (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package khotkeys - 4:5.12.7-0ubuntu0.1

---------------
khotkeys (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:15 +0100

Changed in khotkeys (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kinfocenter - 4:5.12.7-0ubuntu0.1

---------------
kinfocenter (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:18 +0100

Changed in kinfocenter (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kscreen - 4:5.12.7-0ubuntu0.1

---------------
kscreen (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:25 +0100

Changed in kscreen (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kscreenlocker - 5.12.7-0ubuntu0.1

---------------
kscreenlocker (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:28 +0100

Changed in kscreenlocker (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ksysguard - 4:5.12.7-0ubuntu0.1

---------------
ksysguard (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:31 +0100

Changed in ksysguard (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kwallet-pam - 4:5.12.7-0ubuntu0.1

---------------
kwallet-pam (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)
  * debian/patches: Drop all patches for CVE-2018-10380. Included in
    this bugix release.

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:34 +0100

Changed in kwallet-pam (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kwin - 4:5.12.7-0ubuntu0.1

---------------
kwin (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:37 +0100

Changed in kwin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libksysguard - 4:5.12.7-0ubuntu0.1

---------------
libksysguard (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:45 +0100

Changed in libksysguard (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package milou - 4:5.12.7-0ubuntu0.1

---------------
milou (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:48 +0100

Changed in milou (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxygen - 4:5.12.7-0ubuntu0.1

---------------
oxygen (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:51 +0100

Changed in oxygen (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-desktop - 4:5.12.7-0ubuntu0.1

---------------
plasma-desktop (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:55:55 +0100

Changed in plasma-desktop (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-discover - 5.12.7-0ubuntu0.1

---------------
plasma-discover (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)
  * Cherry pick debian changes adding missing runtime qml module
    dependencies. (LP: #1788863)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:54:58 +0100

Changed in plasma-discover (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-integration - 5.12.7-0ubuntu0.1

---------------
plasma-integration (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:00 +0100

Changed in plasma-integration (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-nm - 4:5.12.7-0ubuntu0.1

---------------
plasma-nm (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:03 +0100

Changed in plasma-nm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-pa - 4:5.12.7-0ubuntu0.1

---------------
plasma-pa (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:06 +0100

Changed in plasma-pa (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-sdk - 4:5.12.7-0ubuntu0.1

---------------
plasma-sdk (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:09 +0100

Changed in plasma-sdk (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-vault - 5.12.7-0ubuntu0.1

---------------
plasma-vault (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:12 +0100

Changed in plasma-vault (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-workspace - 4:5.12.7-0ubuntu0.1

---------------
plasma-workspace (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:15 +0100

Changed in plasma-workspace (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth-kcm - 5.12.7-0ubuntu0.1

---------------
plymouth-kcm (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:20 +0100

Changed in plymouth-kcm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package polkit-kde-agent-1 - 4:5.12.7-0ubuntu0.1

---------------
polkit-kde-agent-1 (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:23 +0100

Changed in polkit-kde-agent-1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xdg-desktop-portal-kde - 5.12.7-0ubuntu0.1

---------------
xdg-desktop-portal-kde (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:38 +0100

Changed in xdg-desktop-portal-kde (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bluedevil - 4:5.12.7-0ubuntu0.1

---------------
bluedevil (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:54:46 +0100

Changed in bluedevil (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sddm-kcm - 4:5.12.7-0ubuntu0.1

---------------
sddm-kcm (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:29 +0100

Changed in sddm-kcm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package powerdevil - 4:5.12.7-0ubuntu0.1

---------------
powerdevil (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:26 +0100

Changed in powerdevil (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package user-manager - 4:5.12.7-0ubuntu0.1

---------------
user-manager (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:35 +0100

Changed in user-manager (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemsettings - 4:5.12.7-0ubuntu0.1

---------------
systemsettings (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <email address hidden> Thu, 04 Oct 2018 08:56:32 +0100

Changed in systemsettings (Ubuntu Bionic):
status: Fix Committed → Fix Released
Rik Mills (rikmills) on 2019-01-19
Changed in bluedevil (Ubuntu):
status: Confirmed → Fix Released
Changed in breeze (Ubuntu):
status: Confirmed → Fix Released
Changed in breeze-gtk (Ubuntu):
status: Confirmed → Fix Released
Changed in drkonqi (Ubuntu):
status: Confirmed → Fix Released
Changed in kactivitymanagerd (Ubuntu):
status: Confirmed → Fix Released
Changed in kde-cli-tools (Ubuntu):
status: Confirmed → Fix Released
Changed in kdeplasma-addons (Ubuntu):
status: Confirmed → Fix Released
Changed in khotkeys (Ubuntu):
status: Confirmed → Fix Released
Changed in kinfocenter (Ubuntu):
status: Confirmed → Fix Released
Changed in kscreen (Ubuntu):
status: Confirmed → Fix Released
Changed in kscreenlocker (Ubuntu):
status: Confirmed → Fix Released
Changed in ksysguard (Ubuntu):
status: Confirmed → Fix Released
Changed in kwallet-pam (Ubuntu):
status: Confirmed → Fix Released
Changed in kwin (Ubuntu):
status: Confirmed → Fix Released
Changed in libksysguard (Ubuntu):
status: Confirmed → Fix Released
Changed in milou (Ubuntu):
status: Confirmed → Fix Released
Changed in oxygen (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-desktop (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-discover (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-integration (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-nm (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-pa (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-sdk (Ubuntu):
status: Confirmed → Fix Released
Changed in xdg-desktop-portal-kde (Ubuntu):
status: Confirmed → Fix Released
Changed in user-manager (Ubuntu):
status: Confirmed → Fix Released
Changed in systemsettings (Ubuntu):
status: Confirmed → Fix Released
Changed in sddm-kcm (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-vault (Ubuntu):
status: Confirmed → Fix Released
Changed in plasma-workspace (Ubuntu):
status: Confirmed → Fix Released
Changed in plymouth-kcm (Ubuntu):
status: Confirmed → Fix Released
Changed in polkit-kde-agent-1 (Ubuntu):
status: Confirmed → Fix Released
Changed in powerdevil (Ubuntu):
status: Confirmed → Fix Released
Displaying first 40 and last 40 comments. View all 104 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers